## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global srcname sphinx-panels

Name:           python-%{srcname}
Version:        0.6.0
Release:        %autorelease
Summary:        Sphinx extension for creating panels in a grid layout

License:        MIT
URL:            https://github.com/executablebooks/sphinx-panels
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel

%description
A sphinx extension for creating document components optimized for HTML+CSS.

- The panels directive creates panels of content in a grid layout, utilizing
  both the Bootstrap 4 grid system, and cards layout.
- The link-button directive creates a click-able button, linking to a URL or
  reference, and can also be used to make an entire panel click-able.
- The dropdown directive creates toggle-able content.
- The tabbed directive creates tabbed content.
- opticon and fa (fontawesome) roles allow for inline icons to be added.

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
A sphinx extension for creating document components optimized for HTML+CSS.

- The panels directive creates panels of content in a grid layout, utilizing
  both the Bootstrap 4 grid system, and cards layout.
- The link-button directive creates a click-able button, linking to a URL or
  reference, and can also be used to make an entire panel click-able.
- The dropdown directive creates toggle-able content.
- The tabbed directive creates tabbed content.
- opticon and fa (fontawesome) roles allow for inline icons to be added.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_panels

%check
%pyproject_check_import sphinx_panels

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%license %{python3_sitelib}/sphinx_panels/data/LICENSE

%changelog
* Tue Jan 25 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.6.0-2
- Fix issues from review

* Thu Dec 30 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.6.0-1
- Initial package.

